import { CanActivate, ExecutionContext } from '@nestjs/common';
import { Reflector } from '@nestjs/core';
import { RedisService } from 'nestjs-redis';
import { RateLimiterModuleParams } from './types';
export declare class RateLimiterGuard implements CanActivate {
    private readonly defaultParams;
    private readonly reflector;
    private readonly db;
    constructor(defaultParams: RateLimiterModuleParams, reflector: Reflector, redis: RedisService);
    canActivate(context: ExecutionContext): Promise<boolean>;
}
